Skip to main content
POST
/
v1
/
assignmentTable:describe
Describe AssignmentTable
curl --request POST \
  --url https://metrics.eu.confidence.dev/v1/assignmentTable:describe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "startTime": {},
  "endTime": {}
}
'
{
  "name": "<string>",
  "assignmentsData": [
    {
      "exposureKey": "<string>",
      "variants": [
        "<string>"
      ],
      "startTime": {},
      "endTime": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the assignment table that you want to describe.

startTime
object
required

Filter to remove any data present before start time

endTime
object
required

Filter to remove any data present after end time

Response

200 - application/json

OK

name
string
required

The name of the assignment table

assignmentsData
object[]